- Execute a reporting query (plain ReportRequest).
Execute multiple reporting queries in one request.
Get custom measurements for a reporting engine.
List reporting engines visible to the current partner.
Fetch viral trend insights for a reporting query.
Return compiled backend query strings for a batch of report requests.
Get report metadata for a reporting engine.
Research Assistant reporting query (hidden).
Execute a reporting query for a dashboard widget.
List enabled report names for a reporting engine.
Execute a reporting query...
Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/reports/query
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/reports/query
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/reports/query \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"report": "string",
"reportingEngine": "string",
"timeField": "string",
"startTime": 0,
"endTime": 0,
"timeZone": "string",
"page": 0,
"pageSize": 0,
"filters": [
{
"dimensionName": "string",
"filterType": "string",
"values": [
{}
],
"details": {
"property1": {},
"property2": {}
}
}
],
"groupBys": [
{
"heading": "string",
"dimensionName": "string",
"groupType": "string",
"details": {
"property1": {},
"property2": {}
},
"namedFilters": {
"property1": [
{
"dimensionName": "string",
"filterType": "string",
"values": [
{}
],
"details": {
"property1": {},
"property2": {}
}
}
],
"property2": [
{
"dimensionName": "string",
"filterType": "string",
"values": [
{}
],
"details": {
"property1": {},
"property2": {}
}
}
]
}
}
],
"projections": [
{
"heading": "string",
"measurementName": "string",
"aggregateFunction": "string",
"details": {
"property1": {},
"property2": {}
}
}
],
"projectionDecorations": [
"string"
],
"projectionFilters": [
{
"dimensionName": "string",
"filterType": "string",
"values": [
{}
],
"details": {
"property1": {},
"property2": {}
}
}
],
"sorts": [
{
"heading": "string",
"order": "string"
}
],
"streamRequestInfo": {
"streamFields": [
{}
],
"name": "string",
"childName": "string",
"details": {
"property1": {},
"property2": {}
}
},
"additional": {
"property1": "string",
"property2": "string"
},
"skipResolve": true,
"jsonResponse": true
}'Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }